cURL
curl --request GET \
--url https://api.puretalk.ai/api/phone-numbers \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.puretalk.ai/api/phone-numbers"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.puretalk.ai/api/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 10,
"next": "https://api.puretalk.ai/api/phone-numbers?page=2",
"previous": "https://api.puretalk.ai/api/phone-numbers?page=1",
"results": [
{
"user": {
"name": "John Doe",
"dp": "https://api.puretalk.ai/api/users/1/profile_picture.jpg",
"email": "[email protected]"
},
"ai_assistant": {
"assistant_id": "00ef5401-cbfb-450a-a806-adad5dd907f3",
"name": "My AI Assistant",
"variables": [
"<string>"
]
},
"additional_data": {
"postal_code": "<string>",
"capabilities": {
"voice": true,
"SMS": true,
"MMS": true
},
"locality": "<string>",
"region": "<string>",
"iso_country": "<string>"
},
"phone_number_id": "<string>",
"phone_number": "<string>",
"friendly_name": "<string>",
"provider": "<string>",
"provider_id": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"err": true,
"msg": "An error occurred."
}Phone Numbers
Get Phone Numbers
Returns all phone numbers from the system that the user has access to
GET
/
phone-numbers
cURL
Authorizations
Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.
Query Parameters
The page number to return
The maximum number of results to return
Response
Phone numbers response
The total number of phone numbers
Example:
10
The next page of phone numbers
Example:
"https://api.puretalk.ai/api/phone-numbers?page=2"
The previous page of phone numbers
Example:
"https://api.puretalk.ai/api/phone-numbers?page=1"
Show child attributes
Show child attributes
Was this page helpful?
⌘I